#
# spec file for package AppCSXCAD
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           AppCSXCAD
Version:        0.2.2
Release:        2.23
Summary:        Minimal GUI Application using the QCSXCAD library
License:        GPL-3.0-only
Group:          Productivity/Scientific/Other
URL:            https://openems.de
Source0:        https://github.com/thliebig/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         qt5_use_modules.diff
# PATCH-FIX-OPENSUSE
Patch1:         AppCSXCAD-vtk.patch
BuildRequires:  CSXCAD-devel
BuildRequires:  QCSXCAD-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glew-devel
BuildRequires:  tinyxml-devel
BuildRequires:  vtk-devel
BuildRequires:  vtk-qt
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)

%description
Minimal GUI Application using the QCSXCAD library.

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc README
%{_bindir}/*

%changelog
* Thu Oct 15 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix build with VTK 9.x, add AppCSXCAD-vtk.patch
* Sat Dec 15 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 0.2.2
  * Minor bugfix release, cmake fixes only
- VTK no longer depends on MPI by default, so AppCSXCAD can be
  built withou MPI environment setup. This also allows running
  AppCSXCAD without runtime MPI setup. Fixes bnc#1080443.
* Mon Jun 25 2018 stefan.bruens@rwth-aachen.de
- Fix build with Qt5.11, qt5_use_modules has been deprecated and
  removed, add qt5_use_modules.diff
- Always use Qt5, as all current VTK builds use Qt5 as well
* Wed Dec  6 2017 stefan.bruens@rwth-aachen.de
- Setup MPI environment before building.
* Sat Nov 18 2017 stefan.bruens@rwth-aachen.de
- Change the Qt BuildRequires: for older distributions, Leap 42.x
  has a VTK build with Qt4, use the same conditional as the VTK
  package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
* Wed Nov  1 2017 stefan.bruens@rwth-aachen.de
- Add explicit BuildRequires for Qt5Sql/Qt5Widgets devel packages,
  as these are no longer implicitly required by vtk-devel
* Fri Aug 26 2016 dmitry_r@opensuse.org
- Update to version 0.2.1
  * Bugfix release
- Drop obsolete
  * AppCSXCAD-vtk.patch
* Sun Nov  8 2015 dmitry_r@opensuse.org
- Initial package, version 0.2.0
- Fix building with VTK 6.3
  * AppCSXCAD-vtk.patch
